Skip to content

List active connections

GET
/connections
curl --request GET \
--url https://api.engram.page/connections \
--header 'Authorization: Bearer <token>'

OAuth client families, device families, and PATs. Session-auth only.

Connections

Media typeapplication/json
ConnectionsList
Array<object>
Connection
object
client_id
string
nullable
connected_at
string format: date-time
nullable
first_ip
string
nullable
first_user_agent
string
nullable
key_id
string
nullable
kind
required
string
last_used_at
string format: date-time
nullable
logo
string
nullable
name
string
nullable
redirect_uris
Array<string>
nullable
scope
string
nullable
slug
string
nullable
software_id
string
nullable
software_version
string
nullable
vault_id
string format: uuid
nullable
vault_name
string
nullable
verified
boolean
nullable
Example
[
{
"kind": "oauth"
}
]